Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class WorkThreadPool

    java.lang.Object
      org.gjt.sp.util.WorkThreadPool

Deprecated.

    @Deprecated
    public class WorkThreadPool

extends java.lang.Object

A pool of work threads.

Since:
  jEdit 2.6pre1
See Also:
  `ThreadUtilities`

Constructor Summary
`WorkThreadPool(java.lang.String name, int count)` Deprecated. Creates a new work thread pool with the specified number of work threads.

Method Summary
`void` | `addProgressListener(WorkThreadProgressListener listener)` Deprecated. Adds a progress listener to this thread pool.
`void` | `addWorkRequest(java.lang.Runnable run, boolean inAWT)` Deprecated. Adds a work request to the queue.
`int` | `getRequestCount()` Deprecated. Returns the number of pending requests.
`WorkThread` | `getThread(int index)` Deprecated. Returns the specified thread.
`int` | `getThreadCount()` Deprecated. Returns the number of threads in this pool.
`void` | `removeProgressListener(WorkThreadProgressListener listener)` Deprecated. Removes a progress listener from this thread pool.
`void` | `start()` Deprecated. Starts all the threads in this thread pool.
`void` | `waitForRequests()` Deprecated. Waits until all requests are complete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkThreadPool

    public WorkThreadPool(java.lang.String name,
                          int count)

  Deprecated.
  Creates a new work thread pool with the specified number of work threads.

  Parameters:
    `name` - The thread name prefix
    `count` - The number of work threads

Method Detail

### start

    public void start()

  Deprecated.
  Starts all the threads in this thread pool.

### addWorkRequest

    public void addWorkRequest(java.lang.Runnable run,
                               boolean inAWT)

  Deprecated.
  Adds a work request to the queue.

  Parameters:
    `run` - The runnable
    `inAWT` - If true, will be executed in AWT thread. Otherwise, will be executed in work thread

### waitForRequests

    public void waitForRequests()

  Deprecated.
  Waits until all requests are complete.

### getRequestCount

    public int getRequestCount()

  Deprecated.
  Returns the number of pending requests.

  Returns:
    the pending request count

### getThreadCount

    public int getThreadCount()

  Deprecated.
  Returns the number of threads in this pool.

  Returns:
    the thread count

### getThread

    public WorkThread getThread(int index)

  Deprecated.
  Returns the specified thread.

  Parameters:
    `index` - The index of the thread
  Returns:
    a WorkThread

### addProgressListener

    public void addProgressListener(WorkThreadProgressListener listener)

  Deprecated.
  Adds a progress listener to this thread pool.

  Parameters:
    `listener` - The listener

### removeProgressListener

    public void removeProgressListener(WorkThreadProgressListener listener)

  Deprecated.
  Removes a progress listener from this thread pool.

  Parameters:
    `listener` - The listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD